- Home
- API Enriched
- Shape
- shape
- State
State
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/shape/recognize/namespaces/system/recognize/addon/state';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/shape/recognize/namespaces/system/recognize/addon/state \ --header 'Authorization: <Authorization>'GET customer State if after or before.
Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”A successful response.
The data of State Response.
object
The actual version of the shape recognize API.
object
The detected time.
The recommendation consumption time.
The detected time.
The recommendation consumption time.
The code response.
The conversion data to fill the chart.
The detected time.
The recommendation consumption time.
The ID from the State Response.
Examplegenerated
{ "apiVersion": "example", "data": { "OBSOLETE2_jsDetectedTime": "example", "OBSOLETE2_recommendationConsumptionTime": "example", "OBSOLETE_jsDetectedTime": "example", "OBSOLETE_recommendationConsumptionTime": "example", "code": 1, "dashboardState": "example", "jsDetectedTime": 1, "recommendationConsumptionTime": 1 }, "id": "example"}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example